Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230113 - system-config-network removes comments from /etc/hosts
Summary: system-config-network removes comments from /etc/hosts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-26 18:33 UTC by Thomas Zehetbauer
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version: 1.4.7-1.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-11 22:20:49 UTC


Attachments (Terms of Use)

Description Thomas Zehetbauer 2007-02-26 18:33:02 UTC
I use /etc/hosts to redirect traffic for some domainname to different IP
addresses  of our beta testing environment. This means that my hosts file
usually looks like this:

#192.168.1.34 www.mydomain.com
192.168.1.35 www.mydomain.com
#192.168.1.36 www.mydomain.com
#192.168.1.37 www.mydomain.com

Several entries redirecting the same domainname to different IP addresses with
only one (or even none) active. Unfortunately system-config-network removes all
entries which are currently not active (commented) from the hosts file.

Comment 1 Fedora Update System 2007-12-06 20:44:55 UTC
system-config-network-1.4.7-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-network'

Comment 2 Fedora Update System 2008-01-11 22:20:30 UTC
system-config-network-1.4.7-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.